Pools
All operations require authentication.
List connection poolsBeta
Returns the connection pools of the service.
Path parameters
Project ID
Service ID
Headers
Pagination cursor
Pagination size
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Identifier of the target database schema
Unique identifier of the connection pool
PgBouncer pooling mode
SESSIONSTATEMENTTRANSACTIONName of the connection pool
TCP port on which the connection pool listens
Maximum number of server connections in the pool
SSL connection mode for the pool
REQUIREDate of the last update to the resource
Connection URI to the pool
Unique identifier of the database user used to establish server connections. Null when no user is assigned.
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ postgresql/ {serviceId}/ connectionPool \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "mode": "SESSION", "name": "string", "port": 0, "size": 0, "sslMode": "REQUIRE", "updatedAt": "2024-01-01T12:00:00Z", "uri": "string", "userId": "00000000-0000-0000-0000-000000000000" }]
Get a connection poolBeta
Returns the connection pool settings and its connection URI.
Path parameters
Connection pool ID
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Identifier of the target database schema
Unique identifier of the connection pool
PgBouncer pooling mode
SESSIONSTATEMENTTRANSACTIONName of the connection pool
TCP port on which the connection pool listens
Maximum number of server connections in the pool
SSL connection mode for the pool
REQUIREDate of the last update to the resource
Connection URI to the pool
Unique identifier of the database user used to establish server connections. Null when no user is assigned.
Example uses connectionPoolId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ postgresql/ {serviceId}/ connectionPool/ {connectionPoolId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "mode": "SESSION", "name": "string", "port": 0, "size": 0, "sslMode": "REQUIRE", "updatedAt": "2024-01-01T12:00:00Z", "uri": "string", "userId": "00000000-0000-0000-0000-000000000000"}
Create a connection poolBeta
Creates a connection pool on a database, with a pooling mode and a maximum number of server connections. Without userId, a system user opens the server connections.
Path parameters
Project ID
Service ID
Request body (required)
Identifier of the target database schema
PgBouncer pooling mode
SESSIONSTATEMENTTRANSACTIONName of the connection pool
Maximum number of server connections in the pool
Unique identifier of the database user for server connections. Null to use a system user.
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Identifier of the target database schema
Unique identifier of the connection pool
PgBouncer pooling mode
SESSIONSTATEMENTTRANSACTIONName of the connection pool
TCP port on which the connection pool listens
Maximum number of server connections in the pool
SSL connection mode for the pool
REQUIREDate of the last update to the resource
Connection URI to the pool
Unique identifier of the database user used to establish server connections. Null when no user is assigned.
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ postgresql/ {serviceId}/ connectionPool \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "mode": "SESSION", "name": "string", "port": 0, "size": 0, "sslMode": "REQUIRE", "updatedAt": "2024-01-01T12:00:00Z", "uri": "string", "userId": "00000000-0000-0000-0000-000000000000"}
Delete a connection poolBeta
Deletes the connection pool.
Path parameters
Connection pool ID
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Identifier of the target database schema
Unique identifier of the connection pool
PgBouncer pooling mode
SESSIONSTATEMENTTRANSACTIONName of the connection pool
TCP port on which the connection pool listens
Maximum number of server connections in the pool
SSL connection mode for the pool
REQUIREDate of the last update to the resource
Connection URI to the pool
Unique identifier of the database user used to establish server connections. Null when no user is assigned.
Example uses connectionPoolId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ postgresql/ {serviceId}/ connectionPool/ {connectionPoolId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "mode": "SESSION", "name": "string", "port": 0, "size": 0, "sslMode": "REQUIRE", "updatedAt": "2024-01-01T12:00:00Z", "uri": "string", "userId": "00000000-0000-0000-0000-000000000000"}
Update a connection poolBeta
Updates the database, pooling mode, size and user of the connection pool. Every field is required. Setting userId to null removes the user assignment.
Path parameters
Connection pool ID
Project ID
Service ID
Request body (required)
Identifier of the target database schema
PgBouncer pooling mode
SESSIONSTATEMENTTRANSACTIONMaximum number of server connections in the pool
Unique identifier of the database user for server connections. Null to remove the user assignment.
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Identifier of the target database schema
Unique identifier of the connection pool
PgBouncer pooling mode
SESSIONSTATEMENTTRANSACTIONName of the connection pool
TCP port on which the connection pool listens
Maximum number of server connections in the pool
SSL connection mode for the pool
REQUIREDate of the last update to the resource
Connection URI to the pool
Unique identifier of the database user used to establish server connections. Null when no user is assigned.
Example uses connectionPoolId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ postgresql/ {serviceId}/ connectionPool/ {connectionPoolId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "mode": "SESSION", "name": "string", "port": 0, "size": 0, "sslMode": "REQUIRE", "updatedAt": "2024-01-01T12:00:00Z", "uri": "string", "userId": "00000000-0000-0000-0000-000000000000"}
Partially update a connection poolBeta
Partially updates the database, pooling mode, size or user of the connection pool. Setting userId to null removes the user assignment.
Path parameters
Connection pool ID
Project ID
Service ID
Request body (required)
Identifier of the target database schema
PgBouncer pooling mode
SESSIONSTATEMENTTRANSACTIONMaximum number of server connections in the pool
Unique identifier of the database user for server connections. Null to remove the user assignment.
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Identifier of the target database schema
Unique identifier of the connection pool
PgBouncer pooling mode
SESSIONSTATEMENTTRANSACTIONName of the connection pool
TCP port on which the connection pool listens
Maximum number of server connections in the pool
SSL connection mode for the pool
REQUIREDate of the last update to the resource
Connection URI to the pool
Unique identifier of the database user used to establish server connections. Null when no user is assigned.
Example uses connectionPoolId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ postgresql/ {serviceId}/ connectionPool/ {connectionPoolId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "mode": "SESSION", "name": "string", "port": 0, "size": 0, "sslMode": "REQUIRE", "updatedAt": "2024-01-01T12:00:00Z", "uri": "string", "userId": "00000000-0000-0000-0000-000000000000"}